/* ----- CSS ARCHITECTURE ----- */

/* --- BASE --- */

html {
    display: flex;
    flex-direction: row;
    justify-content: center;
    scroll-behavior: smooth;
    background-image: url(../img/background4.webp);
    max-width: 1920px;
    min-height: 1080px;
}

body {
    box-sizing: border-box;  
    background: rgba(0, 0, 0, 0.55);
    font-family: "Montserrat", sans-serif;  
    color: #FFFFFF;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
  
ul {
    list-style: none;
    padding: 0;
    margin: 0;
}
  
a {
    text-decoration: none;
    color: #FFFFFF;
}
  
a:visited {
    color: #FFFFFF;
}

h1{
    font-size: 24px;
    font-weight: 600;
    margin:0  0 5% 0;
}

h2{
    text-align: center;
    font-size: 20px;
}

h3{
    text-align: center;
    font-size: 18px;
}

p {
    margin: 0;
    font-size: 16px;
}

/* Mobile First Integration */

/* HEADER */

header {
    display: flex;
    flex-direction: column;
    align-items: center;
}
  
header {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.logo {
    position: absolute;
    top: 0px;
    left : 0px;
    padding: 35px;
    z-index: 1;
    font-size: 24px;
    font-weight: 600;
}

.navbar ul {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;   
}

.navbar {
    position: fixed;
    top: 0%;
    left: 0%;
    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
    margin-left: -100%;
}

.navbar ul li a {
    height: 100px;
    width: 200px;
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    font-weight: 600;
}

.active{
    text-shadow: 0px 0px 1px #ffffff, 0px 0px 2px #ffffff, 0px 0px 5px #ffffff;
}

.menu-hamburger {
    position: absolute;
    top : 0;
    right: 0;
    padding: 40px;
}

.mobile-menu {
    margin-left: 0;  
}

/* - PAGES - */
/* index */

main {
    display: flex;
    flex-direction: column ;
    justify-content: center;
    align-items: center;
    padding: 100px 0;
}

.frame {
    box-shadow: 0px 0px 12px black;
}

.welcome-text{
    width: 66%;
    text-align: center;
}

.welcome-text.up{
    margin-top: 20px;
}

#painter{
    margin: 35px;
}

#cover {
    width: 75%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 6% 0;
}
/* lastwork */

.expo-area{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
}

.high-line{
    width: 80%;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.low-line{
    width: 80%;
    display: flex;
    flex-direction: column;
    gap: 25px;
    margin-top: 25px;
    margin-bottom: 25px;
}

.picture {
    width: 100%;
    box-shadow: 0px 0px 12px black;
}

.back-top {
    margin: 50px;
}

.back-top a {
    padding: 50px;
}

#picture-awesome{
    margin: 35px;
}

/* news */

#news-awesome{
    margin : 35px;
}

.news{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.news-n-1 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 25px;
    width: 80%;
    margin-top: 30px;
}

#past-news{
    margin-top: 75px;
}

.news-pictures{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 25px;
}

.news-picture{
    box-shadow: 0px 0px 12px black;
    margin-top: 25px;
}

/* books */

.title-button{
    margin:0;
}

.books-area{
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.order{
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 350px;
    height: 150px;
    border: solid 3px #000000;
    background: rgba(0, 0, 0, 0.4);   
    backdrop-filter: blur(15px);
    border-radius: 33px;
    box-shadow: 10px 10px 12px black;
}

.order p{
    color: #FFFFFF;
}

.book{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 5%;
}

.book-presentation{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.book-couverture{
    height: 500px;
    width: 350px;
    box-shadow: 0px 0px 12px black;
}

.book-price{
    color: #ffffff;
    position:relative;
    bottom: 57px;
    left: 290px;
    font-size: 20px;
    font-weight: 600;
    padding: 15px 10px 15px 20px;
    background-color:#3bd69b8e;
    width: 30px;
    border-radius: 100px 0 0 0;
}

.indent{
    backdrop-filter: none;
}

.desactive{
    display:none;
}

.book-text{
    margin-top: 5%;
    width: 65%;
    height: 296px;
    text-align: center;   
    overflow: scroll;
    margin-bottom: 4%;
}

.book-illustration{
    height: 500px;
    width: 350px;
    box-shadow: 0px 0px 12px black;
}

.book-awesome{
    font-size: 40px;
    display:flex;
    justify-content: center;
    align-items: center;
    width: 100px;
    height: 100px;
    border: solid 5px #ffffff;
    border-radius: 100%;
    margin-top: 4%;
}

.envelope{
    color: rgb(45, 80, 255);
}

/* contact */

#contact-page{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.contact-visual{
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.map{
    margin : 35px 0;
    border-radius: 30px;
    overflow: hidden;
}

.artist {
    width: 350px;
    margin-top: 35px;
    border-radius: 25px;
    overflow: hidden;
    box-shadow: 0px 0px 12px black;
}

.contact-text{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#big-map{
    display:none
}

#medium-map{
    display:none
}

/* FOOTER */

footer{
    position:relative;
    bottom: 0;
    width: 100%;
    height: 50px;
    background: rgba(0, 0, 0, 0.55);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.contact-area{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.legal-mention{
    display: none;
}

/* Tablette Integration */

@media only screen and (min-width: 768px) {

h1{
    font-size: 28px;
    margin:0  0 25px 0;
}

h2{
    font-size: 24px;
}


h3{
    font-size: 20px;
}


p {
    font-size: 20px;
}

/* HEADER */

header {
    margin: 0 5%;
    background: rgba(0, 0, 0, 0.5);
}

main {
    padding:50px 0;
    width: 90%;
}

.logo{
    position: unset;
}

.navbar {
    display: contents;
}

.navbar ul {
    flex-direction: row;
    width: 50%;  
}

.navbar ul li{
    width: 25%;
    display: flex;
    flex-direction: row;
    justify-content: center;  
}

.menu-hamburger {
    display: none;
}
 


/* - PAGES - */
/* index */

#painter{
    margin: 0 0 50px 0;
}

#cover {
    width: 60%;
    margin : 4% 0;
}

/* lastwork */

.expo-area{
    margin-top: 25px;
}

.high-line{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
}

.low-line{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    margin: 5% 0;
}

.low-line .picture{
    width: 30%;
}

.picture{
    width: 25%;   
}

#picture-awesome{
    margin: 0 0 50px 0;
}

.back-top {
    display: none;
}

/* news */

#news-awesome{
    margin : 0 0 50px 0;
}

.news-n-1{
    width: 612px;
}

/* books */

.order{
    width: 500px;
    margin-bottom: 2%;
}

.book{
    margin-top: 2%;
}

.book-text{
    height: 302px;
}

#golden-book img{
    object-fit: unset;
}

/* contact */

.map{
    margin :50px 0;
    border-radius: 40px;
}

.artist {
    width: 550px;
    border-radius: 33px;
}

#small-map{
    display:none
}

#medium-map{
    display:block;
}

/* FOOTER */
}
/* Desktop Integration */

@media only screen and (min-width: 1440px) {

h1{
    font-size: 32px;
    margin:0  0 30px 0;
}

h2{
    font-size: 28px;
}

h3{
    font-size: 22px;
}

p {
   font-size: 24px;  
}

main{
    width: 85%;
    padding:60px 0;
}

/* HEADER */

header {
    width: 100%;
}

/* - PAGES - */
/* index */

#painter{
    margin: 0 0 60px 0;
}

#cover {
    width: 50%;
    margin : 3% 0;
}

/* lastwork */

.expo-area{
    margin-top: 30px;
}

#picture-awesome{
    margin: 0 0 60px 0;
}

/* news */

#news-awesome{
    margin : 0 0 60px 0;
}

/* books */

.order{
    width: 600px;
    height: 200px;
}

.book{  
    margin-top:1%; 
}

.book-presentation{
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
}

.book-text{
    height: 350px;
    width: auto;
    max-width: 39%;
    margin-top: 0;
    margin-left: 2%;
    margin-right: 2%;
}


/* contact */

.map{
    margin :60px 0;
    border-radius: 40px;
}

.artist {
    width: 700px;
    border-radius: 50px;
}

#medium-map{
    display: none;
}

#big-map{
    display: block;
}

/* FOOTER */

}

/* ----- CSS ARCHITECTURE ----- */
